{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FVOC_ABREVIATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_ABREVIATION; }; 
            name = fvocAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FVOC_CODAGE; 
            externalType = VARCHAR2; 
            name = fvocCodage; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FVOC_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_CODE; }; 
            name = fvocCode; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = FVOC_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_LIBELLE; }; 
            name = fvocLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FVOC_VALIDITE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_VALIDITE; }; 
            name = fvocValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fvocCode); 
    className = EOGenericRecord; 
    classProperties = (fvocCode, fvocLibelle, fvocAbreviation, fvocValidite, fvocCodage); 
    externalName = SCOL_FORMATION_VOCATION; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = SCOL_FORMATION_VOIE; }; 
    name = ScolFormationVocation; 
    primaryKeyAttributes = (fvocCode); 
}
